Bug 1259851 - Review Request: memoryfilesystem - An in memory implementation of a JSR-203 file system
Review Request: memoryfilesystem - An in memory implementation of a JSR-203 f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1259852
  Show dependency treegraph
 
Reported: 2015-09-03 11:51 EDT by Roman Mohr
Modified: 2015-12-10 22:21 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.6.7-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-17 19:55:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Roman Mohr 2015-09-03 11:51:59 EDT
Spec URL: https://rfenkhuber.fedorapeople.org/memoryfilesystem/memoryfilesystem.spec
SRPM URL: https://rfenkhuber.fedorapeople.org/memoryfilesystem/memoryfilesystem-0.6.6-1.fc22.src.rpm
Description: An in memory implementation of a JSR-203 file system
Fedora Account System Username: rfenkhuber
Comment 1 gil cattaneo 2015-09-04 14:04:59 EDT
Build fails:
[ERROR] Failed to execute goal on project memoryfilesystem: Could not resolve dependencies for project com.github.marschall:memoryfilesystem:bundle:0.6.6: Cannot access central (https://repo.maven.apache.org/maven2) in offline mode and the artifact org.slf4j:jcl-over-slf4j:jar:1.7.12 has not been downloaded from it before. -> [Help 1]

Please, remove %dir %{_javadir}/%{name}

Please, install src/main/resources/LICENSE using license macro

Please change 
%description javadoc
This package provides %{summary}.
with
%description javadoc
This package provides API documentation for %{name}.

BuildRequires:  maven-compiler-plugin is unnecessary
Comment 2 gil cattaneo 2015-09-04 14:16:11 EDT
jandex-maven-plugin is available here for review
https://bugzilla.redhat.com/show_bug.cgi?id=1260208
Comment 3 gil cattaneo 2015-09-04 14:18:12 EDT
can you review this https://bugzilla.redhat.com/show_bug.cgi?id=1196051 for me?
Comment 4 Roman Mohr 2015-09-07 15:23:24 EDT
(In reply to gil cattaneo from comment #1)
> Build fails:
> [ERROR] Failed to execute goal on project memoryfilesystem: Could not
> resolve dependencies for project
> com.github.marschall:memoryfilesystem:bundle:0.6.6: Cannot access central
> (https://repo.maven.apache.org/maven2) in offline mode and the artifact
> org.slf4j:jcl-over-slf4j:jar:1.7.12 has not been downloaded from it before.
> -> [Help 1]

Added dependency

> Please, remove %dir %{_javadir}/%{name}

Done

> Please, install src/main/resources/LICENSE using license macro

Done

> Please change 
> %description javadoc
> This package provides %{summary}.
> with
> %description javadoc
> This package provides API documentation for %{name}.

Done

> BuildRequires:  maven-compiler-plugin is unnecessary

Done

I had to add two small patches which fix some small spring xml errors and a UTF8 related error.

Spec URL: https://rfenkhuber.fedorapeople.org/memoryfilesystem/memoryfilesystem.spec
SRPM URL: https://rfenkhuber.fedorapeople.org/memoryfilesystem/memoryfilesystem-0.6.6-1.fc22.src.rpm
Comment 5 Roman Mohr 2015-09-07 15:26:10 EDT
(In reply to gil cattaneo from comment #2)
> jandex-maven-plugin is available here for review
> https://bugzilla.redhat.com/show_bug.cgi?id=1260208
(In reply to gil cattaneo from comment #3)
> can you review this https://bugzilla.redhat.com/show_bug.cgi?id=1196051 for
> me?

Sure, will look into it tomorrow night. Thank you for taking this one :)
Comment 6 gil cattaneo 2015-09-07 18:43:02 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 129 files have unknown license.
     Detailed output of licensecheck in
     /home/gil/1259851-memoryfilesystem/licensecheck.txt
 Please, report the problem to upstream, ask to add license header
[!]: License file installed when any subpackage combination is installed.
 Please, add lucense file also in javadoc subpackage
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     memoryfilesystem-javadoc
[x]: Package functions as described.
[!]: Latest version is packaged.
 Please, comsider to upgrading to 0.6.7
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: memoryfilesystem-0.6.6-1.fc24.noarch.rpm
          memoryfilesystem-javadoc-0.6.6-1.fc24.noarch.rpm
          memoryfilesystem-0.6.6-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
memoryfilesystem (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils

memoryfilesystem-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
memoryfilesystem:
    memoryfilesystem
    mvn(com.github.marschall:memoryfilesystem)
    mvn(com.github.marschall:memoryfilesystem:pom:)
    osgi(com.github.marschall.memoryfilesystem)

memoryfilesystem-javadoc:
    memoryfilesystem-javadoc



Source checksums
----------------
https://github.com/marschall/memoryfilesystem/archive/0.6.6.tar.gz#/memoryfilesystem-0.6.6.tar.gz :
  CHECKSUM(SHA256) this package     : d936b9ddf75ea13d8e555b7b7a0d1f16cfbdb23794d5c0c8c7d236b2fe809738
  CHECKSUM(SHA256) upstream package : d936b9ddf75ea13d8e555b7b7a0d1f16cfbdb23794d5c0c8c7d236b2fe809738


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1259851 --plugins Java -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 gil cattaneo 2015-09-07 18:47:41 EDT
NON blocking issues:

[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 129 files have unknown license.
     Detailed output of licensecheck in
     /home/gil/1259851-memoryfilesystem/licensecheck.txt
 Please, report the problem to upstream, ask to add license header in
 the following files

memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/AbsolutePath.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/AbstractPath.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/AccessCheck.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/AppendingBlockChannel.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/AppendingBlockOutputStream.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/ArrayCharacterSet.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/AsynchronousBlockChannel.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/AttributeAccessors.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/AutoRelease.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/AutoReleaseLock.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/BlockChannel.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/BlockInputStream.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/BlockOutputStream.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/CharacterSet.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/ClosedChecker.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/ClosedFileSystemChecker.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/ClosedStreamChecker.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/ClosedWatchServiceChecker.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/CompositeList.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/CurrentGroup.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/CurrentUser.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/DefaultOpenOptions.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/Directories.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/ElementPath.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/EmptyCharacterSet.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/EmptyPath.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/EmptyRoot.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/EntryCreationContext.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/EnvironmentParser.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/FileAttributeViews.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/GlobPathMatcher.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/InitializingFileAttributeView.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/KindWatchEvent.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/LockSet.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryContents.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryDirectory.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryDirectoryStream.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryEntry.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryFile.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryFileLock.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryFileStore.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryFileSystem.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryFileSystemBuilder.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryFileSystemFactoryBean.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryFileSystemProperties.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryFileSystemProvider.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryFileSystemWatchService.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemorySymbolicLink.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryUserPrincipalLookupService.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MemoryWatchKey.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/ModificationWatchEvent.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/MultipleNamedRootsPathParser.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/NamedRoot.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/NonAppendingBlockChannel.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/NonAppendingBlockOutputStream.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/NonEmptyPath.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/Options.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/OverflowWatchEvent.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/ParentReferenceList.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/PathParser.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/PathWatchEvent.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/RegexPathMatcher.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/RelativePath.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/Root.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/SingleEmptyRootPathParser.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/SingletonPath.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/StringTransformer.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/StringTransformers.java
memoryfilesystem-0.6.6/src/main/java/com/github/marschall/memoryfilesystem/TwoPathOperation.java

[!]: License file installed when any subpackage combination is installed.
 Please, add lucense file also in javadoc subpackage

[!]: Latest version is packaged.
 Please, consider to upgrading to 0.6.7
Comment 8 gil cattaneo 2015-09-07 18:52:23 EDT
Approved
Comment 9 Roman Mohr 2015-09-08 13:08:01 EDT
New Package SCM Request
=======================
Package Name: memoryfilesystem
Short Description: An in memory implementation of a JSR-203 file system
Upstream URL: https://github.com/marschall/memoryfilesystem
Owners: rfenkhuber
Branches: f22 f23 epel7
InitialCC:
Comment 10 Gwyn Ciesla 2015-09-09 08:37:24 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2015-09-09 10:50:31 EDT
memoryfilesystem-0.6.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15469
Comment 12 Fedora Update System 2015-09-09 10:51:49 EDT
memoryfilesystem-0.6.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15470
Comment 13 Fedora Update System 2015-09-09 10:54:11 EDT
memoryfilesystem-0.6.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8015
Comment 14 Fedora Update System 2015-09-09 19:50:30 EDT
memoryfilesystem-0.6.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update memoryfilesystem'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8015
Comment 15 Fedora Update System 2015-09-09 22:07:23 EDT
memoryfilesystem-0.6.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update memoryfilesystem'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15470
Comment 16 Fedora Update System 2015-09-10 01:51:18 EDT
memoryfilesystem-0.6.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update memoryfilesystem'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15469
Comment 17 Fedora Update System 2015-09-17 19:55:17 EDT
memoryfilesystem-0.6.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-12-10 20:51:35 EST
memoryfilesystem-0.6.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-12-10 22:21:58 EST
memoryfilesystem-0.6.7-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.